/*****************************************************************************
	Laufzeittool des VAMP
        (c)2002 Carsten Meyer

*****************************************************************************/
#include <fenv.h>
#include <fpu_control.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <math.h>
#include "umrbus.h"
#include "file.h"
#include "boardaccess.h"
#include "run.h"

 
UMR_HANDLE addr_handle;
UMR_HANDLE data1_handle;
UMR_HANDLE data2_handle;
UMR_HANDLE reset_handle;
  
extern int buffer_Mask;


#define LOWBYTES   15
#define HIGHBYTES   240      
 


int main(int argc, char *argv[])
{

 

  if (argc==1)
    {
      if (configure_fpga("./src/vamp.mcs")!=0) exit(1);
    }
  else
    { 
      if(argc==2){ 
      
	if (configure_fpga(argv[1])!=0) exit(1);}
        
      else goto usage;

    }
 
  upload_file();
  run();
  close_capims();

  return(1);

  usage:

  printf("USAGE:  ./vamprun {DESIGNNAME|}\n");
  return(1);

}







