/* 
$Id: tools.h,v 1.9 2002/02/25 23:34:15 dirkl Exp $
$Log: tools.h,v $
Revision 1.9  2002/02/25 23:34:15  dirkl
- connections of bus_protocol get now connected to the top-level module(very uggly implementation)

Revision 1.8  2002/02/05 18:02:35  kroening
Minor fixes for compiler warnings

Revision 1.7  2001/06/22 13:02:57  dirkl
*** empty log message ***

Revision 1.6  2001/01/15 15:11:10  sbeyer

cosmetic changes (like const qualifier)

Revision 1.5  2001/01/12 15:22:08  sbeyer

added const qualifier to char* for gdl_ausgabe

Revision 1.4  2001/01/10 18:10:31  sbeyer

extended 'knoten' by source_line, source_file

Revision 1.3  2001/01/09 16:27:33  sbeyer
*** empty log message ***

*/

#ifndef tools_h
#define tools_h

#include <stdio.h>
#include "backend.h"

#ifdef __cplusplus
extern "C" {
#endif

  extern int zeilennummer;
  extern char *inputfile;

struct knoten *pvs_parser(const char *dateiname);
void print_help();
void gdl_ausgabe(const char *filename,const struct knoten *wurzelknoten);
void parse_tree_ausgeben();
struct knoten *id_knoten(const char *name);
struct knoten *idat_knoten(const char *name);
struct knoten *number_knoten(const char *wert);
struct knoten *number_knoten_int(int wert);
struct knoten *string_knoten(const char *s);
void knoten_speicherfreigeben(const struct knoten *k);
struct knoten *copysyntaxbaum(const struct knoten *const originalwurzel);

#ifdef __cplusplus
}
#endif

#endif  // tools_h
