#include <fenv.h>
#include <fpu_control.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <time.h>
#include <math.h>
#include "umrbus.h"


int configure_fpga();

int write_data(unsigned long *data1, unsigned long *data2, unsigned long *location, int bytesize);

int read_data(unsigned long *location,unsigned long* return_buf );

int close_capims();

int configure_fpga_new();

int wait_for_interrupt(UMR_HANDLE handle );

void hardwarereset();

int flush_Buffer();

int set_Memory_Byte(int adresse, int value);

char read_Byte(int adresse);
